Se publica Symfony 2.1.2

El proyecto Symfony acaba de anunciar el lanzamiento de Symfony 2.1.2, la segunda mini-versión de mantenimiento de la rama Symfony 2.1. Esta versión se ha lanzado para integrar el nuevo Doctrine 2.3, que no pudo ser publicado a tiempo para el lanzamiento de Symfony 2.1.0.

Las principales novedades de esta versión de Doctrine son las siguientes:

  • Ahora se pueden usar generadores propios para el atributoid de las entidades
  • Las consultas pueden contener JOIN con sintaxis arbitrarias (ej: FROM User u JOIN Comment c WITH c.user = u.id)
  • Se ha creado una API para el Collection Criteria
  • Se han añadido named native queries, @AssociationOverride y @AttributeOverride

Antes de lanzarte a actualizar a esta nueva versión, te aconsejamos que leas con atención el documento UPGRADE del ORM y también el documento UPGRADE del DBAL ya que alguno de sus cambios podrían afectar negativamente a tus aplicaciones.

Por otra parte, antes de actualizar Symfony, es necesario que actualices tu versión de Composer. Si lo has instalado tal y como se explica en la guía de instalación de Composer puedes actualizarlo ejecutando este comando:

// en Windows
> php composer.phar self-update
 
// en Linux y Mac OS X
$ composer self-update

Después, para actualizar a Symfony 2.1.2, ya puedes seguir el procedimiento habitual descrito en la guía de actualización de Symfony 2.1.

Fuente: Symfony 2.1.2 released

Comentarios

  1. Javier, Ejecuté

    "composer.phar self-update"

    y luego

    "composer-phar update"

    pero al finalizar la actualización veo que la versión que tengo es 2.1.3-DEV (php app/console --version).

    ¿Sabes a que se debe esto?

    Desde ya, muchas gracias.

    Fabricio Salinas el 22 de septiembre de 2012 20:05:30

  2. Solucionado, tuve que colocar la versión especifica (2.1.2) en el require del composer.json.

    Saludos.

    Fabricio Salinas el 22 de septiembre de 2012 20:18:18

  3. Frabrcio yo tengo el mismo problema, y cierto puedo especificar que deseo actualizar a symfony 2.1.2 y actualiza, pero el resto de los vendors los lleva a versiones de desarrollo por que igual terminan con *, deberian publicar en composer.json con las ultimas versiones estables y no dejarlo tanto a las ultimas versiones en desarrollo

    Alexis Sanchez el 23 de septiembre de 2012 23:42:14

  4. Alexis, Creo que el problema estaba en el composer.json. Revisa https://getcomposer.org/doc/04-schema.md#minimum-stability (yo lo tenía en dev)

    Saludos.

    Fabricio Salinas el 24 de septiembre de 2012 19:19:20

  5. Gracias, esto ah sido la solución, solo actualizo a paquetes estables... muchas gracias..

    Alexis Sanchez el 25 de septiembre de 2012 02:40:40

  6. Gracias, esto ha sido la solución, solo actualizo a paquetes estables... muchas gracias..

    Alexis Sanchez el 25 de septiembre de 2012 02:40:41

Este artículo ya no permite añadir más comentarios.
¿Por qué? Los artículos cierran sus comentarios automáticamente unos meses después de su publicación para asegurar que estos sigan siendo relevantes.

Compartir en

Publicada el

20 de septiembre de 2012

Proyectos Symfony destacados

La plataforma de eCommerce 100% Symfony que rivaliza con Magento y PrestaShop. Ver más

Descargas totales de Symfony

1.069.955.393

Ver descargas en tiempo real

Síguenos en @symfony_es para acceder a las últimas noticias.